PDA

View Full Version : LWCAD 5.0 Automatic Installer not working



jboudreau
11-10-2015, 10:11 PM
Hi Guys

Anyone else getting this problem, When I run the automatic installer for LWCAD 5.0 it installs but when I go into modeler 2015.3 nothing shows up. No tabs etc. Anybody know how to get this to work?

Thanks,
Jason

spherical
11-11-2015, 01:47 AM
Never had a problem; through a number of installs/uninstalls/installs. Worked great and I was impressed. What choices are you making during the process? Are you selecting the version installed that you want to apply LWCAD5 to or choosing Expert Mode? I have 10 versions installed and the installer finds and displays all of them for me to choose from.

wesleycorgi
11-11-2015, 01:52 AM
When I installed on my Mac, I accidentally had LW 2015 Layout/Hub open. So it didn't have the tabs auto install in 2015, but it did install LW 11.6.3 correctly. So I reran the install to uninstall LWCAD on 2015. Then I ran the install one more time. Voila, it installed 2015 correctly.

Skonk
11-11-2015, 03:18 AM
Yeh went on fine for me.

jboudreau
11-11-2015, 06:03 AM
Thanks guys, It found all my installations of lightwave fine and installed. It put everything in the additional drop down list but it never made any tabs at the top like it's suppose too. I've tried installing and uninstalling 4 or 5 times and still it won't make the tabs. I tried it in all versions same thing happens for every version no tabs at the top. I guess I'm going to have to manually install it, but I wish I knew what the problem was

Are you guys all on Mac? I'm on PC windows 7 Ultimatte 64 Bit

UPDATE:

LWCAD Support helped me get it to work. For some reason after a completely new install with new configs my default menu branch was not being written inside my config files. They got me to switch two tabs at the top and close down modeler which then wrote the default menu branch back into the config files. Then once I used the LWCAD Installer it worked with no problems. So if anyone else has this issue try this it might just fix your issue, it fixed mine

Thanks,
Jason

Skonk
11-11-2015, 06:46 AM
PC with windows 10 64bit.

Installed and reinstalled several times and it's worked fine every time.

Make sure you don't have the hub running when you install.

Luc_Feri
11-11-2015, 06:50 AM
Maybe you could try run as administrator on the.exe install file?

I've just upgraded, I'll let you know later when I get my license delivered if I get any issues as I'm a PC man.

jboudreau
11-11-2015, 06:58 AM
Thanks guys,

LWCAD Support helped me get it to work. For some reason after a completely new install with new configs my default menu branch was not being written inside my config files. They got me to switch two tabs at the top and close down modeler which then wrote the default menu branch back into the config files. Then once I used the LWCAD Installer it worked with no problems. So if anyone else has this issue try this it might just fix your issue, it fixed mine

Thanks,
Jason

Luc_Feri
11-11-2015, 07:01 AM
Cool Jason, glad it's all sorted. I can't wait till I get it later on today. :D

Luc_Feri
11-12-2015, 06:41 AM
Just installed and it worked first time here!! :D

Signal to Noise
11-14-2015, 09:50 AM
I too had issues with the install for 2015. I ended up having to manually add the LWCAD tabs to the Configure Editor the 'old fashioned' way. The install to LW 11.6.3 went fine.

jboudreau
11-14-2015, 09:59 AM
I too had issues with the install for 2015. I ended up having to manually add the LWCAD tabs to the Configure Editor the 'old fashioned' way. The install to LW 11.6.3 went fine.

Did you try to what the support team told me to do

They got me to switch two tabs at the top and close down modeler which then wrote the default menu branch back into the config files. Then once I used the LWCAD Installer it worked with no problems.

Thanks,
Jason

Signal to Noise
11-14-2015, 10:46 AM
Did you try to what the support team told me to do

They got me to switch two tabs at the top and close down modeler which then wrote the default menu branch back into the config files. Then once I used the LWCAD Installer it worked with no problems.

Thanks,
Jason

No because you haven't specified which two tabs. I saw your post in another thread about this.

jboudreau
11-14-2015, 10:50 AM
sorry you just switch any two tabs, which causes your configs to rewrite themselves after exiting. For example switch the create tab with the modify tab then close down modeler and re-open it.

Thanks,
Jason

Signal to Noise
11-14-2015, 11:14 AM
^ Thanks. I will try this when I install LWCAD on my desktop LW installation. Also read elsewhere that LW Hub should not be running so will ensure that is closed, too.

gerry_g
11-14-2015, 11:25 AM
I got what looked like a debug menu under an extra top tab marked 'Additional' which I have since deleted, this was from the auto install process, furthermore until I reinstalled the 'CadSetup' menu I had no preferences tab and thus was unable to enter a License key

jwiede
11-15-2015, 04:05 PM
LWCAD Support helped me get it to work. For some reason after a completely new install with new configs my default menu branch was not being written inside my config files.

Oops, yeah, had same problem with my 2015.3 install. Either "touch" the menu to cause LW to create it in configs, or just manually add the branches, either works in that case.

Realistically, it's a LW issue (and a really long-standing one at that, I had a still-open 9.x-era LW bug on it at time of switch in bug system) as much as it is a LWCAD installer issue. Short of adding a entirely synthetic menu config (which creates other risks), there's not much LWCAD's installer can do in that specific situation.

The current LW design and implementation for handling menu configs is downright hostile to third-party devs, which needs to change ASAP. LW3DG needs to provide trivial-effort, automation-friendly means for third-party plugins to install (static or dynamic) menu items and/or branches in a dedicated, well-known third-party menu region -- already done by nigh-all other major 3D pkgs, and desperately overdue in LW.